# [SymClosestWannier](https://cmt-mu.github.io/SymClosestWannier/)

- **Overview**:
    A Python library to create Symmetry-adapted Closest Wannier (SymCW) tight-binding models [1] based on the Symmetry-Adapted Multipole Basis (SAMB) [2] and the Closest Wannier formalism developed by Taisuke Ozaki [3].

    > [1] Rikuto Oiwa, Akane Inda, Satoru Hayami, Takuya Nomoto, Ryotaro Arita, and Hiroaki Kusunose, Symmetry-adapted closest Wannier modeling based on complete multipole basis set, arXiv:2501.10056 (2025).
    > URL: (https://arxiv.org/abs/2501.10056)
    
    > [2] Hiroaki Kusunose, Rikuto Oiwa, and Satoru Hayami, Symmetry-adapted modeling for molecules and crystals, Phys. Rev. B 107, 195118 (2023).
    > DOI: https://doi.org/10.1103/PhysRevB.107.195118.<br>
  
    > [3] Taisuke Ozaki, Closest Wannier functions to a given set of localized orbitals, Phys. Rev. B 110, 125115, (2024).
    > DOI: https://doi.org/10.1103/PhysRevB.110.125115.

- **Authors**: Rikuto Oiwa

- **Installation**: SymClosestWannier can be installed from PyPI using pip on Python >= 3.9:
    ```
    pip install symclosestwannier
    ```
    You can also visit [PyPI](https://pypi.org/project/symclosestwannier/) or [GitHub](https://github.com/CMT-MU/SymClosestWannier/) to download the source.

- **Citing SymClosestWannier**: If you are using SymClosestWannier in your scientific research, please help our scientific visibility by citing our work:

    > [1] Rikuto Oiwa, Akane Inda, Satoru Hayami, Takuya Nomoto, Ryotaro Arita, and Hiroaki Kusunose, Symmetry-adapted closest Wannier modeling based on complete multipole basis set, arXiv:2501.10056 (2025).
    > URL: (https://arxiv.org/abs/2501.10056)
    
    > [2] Hiroaki Kusunose, Rikuto Oiwa, and Satoru Hayami, Symmetry-adapted modeling for molecules and crystals, Phys. Rev. B 107, 195118 (2023).
    > DOI: https://doi.org/10.1103/PhysRevB.107.195118.<br>
  
    > [3] Taisuke Ozaki, Closest Wannier functions to a given set of localized orbitals, Phys. Rev. B 110, 125115, (2024).
    > DOI: https://doi.org/10.1103/PhysRevB.110.125115.

- **Requirements**:
  - Symmetry-Adapted Multipole Basis (SAMB) for molecular or crystal are optionally generated by [MultiPie](https://github.com/CMT-MU/MultiPie).
  - MultiPie library optionally requires [TeXLive](https://www.tug.org/texlive/) environment to create LaTeX and PDF files.
  - Molecular or crystal structure files are optionally generated by [QtDraw](https://github.com/CMT-MU/QtDraw).

- **To Do**:
  - add function to read seedname.uHu, seedname.uIu files.
  - add SHC, ME response functions.
  - add lindhard function.
